Subject: Re: [syzbot] UBSAN: shift-out-of-bounds in nl802154_new_interface

From: syzbot <[email-masked]>
Date: Sun, 26 Dec 2021 22:09:08 -0800

syzbot suspects this issue was fixed by commit:

commit 451dc48c806a7ce9fbec5e7a24ccf4b2c936e834
Author: Alexander Aring <[email-masked]>
Date:   Fri Nov 12 03:09:16 2021 +0000

    net: ieee802154: handle iftypes as u32

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=1084d10db00000
start commit:   ec681c53f8d2 Merge tag 'net-5.15-rc6' of git://git.kernel...
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=bab9d35f204746a7
dashboard link: https://syzkaller.appspot.com/bug?extid=7bf7b22759195c9a21e9
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=14398d94b00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=117fc40cb00000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: net: ieee802154: handle iftypes as u32

For information about bisection process see: https://goo.gl/tpsmEJ#bisection